Subject: [CODE4LIB] Setting users google scholar settings

From: Stuart Yeates <[email-masked]>
Date: Wed, 15 Jul 2009 19:17:39 +1200

It's possible to send users to google scholar using URLs such as:

http://scholar.google.co.nz/schhp?hl=en&inst=8862113006238551395

where the institution is obtained using the standard preference setting mechanism. Has anyone found a way of persisting this setting in the users browser, so when they start a new session this is the default?

Yes, I know they can go "Scholar Preferences" -> "Save" to persist it, but I'm looking for a more automated way of doing it...

cheers
stuart

---

From: Stefaan Renard <[email-masked]>
Date: Wed, 15 Jul 2009 09:28:09 +0200

At 09:17 AM 7/15/2009, Stuart Yeates wrote:
>where the institution is obtained using the standard preference 
>setting mechanism. Has anyone found a way of persisting this setting 
>in the users browser, so when they start a new session this is the default?
>
>Yes, I know they can go "Scholar Preferences" -> "Save" to persist 
>it, but I'm looking for a more automated way of doing it...

key inst and value registered host works for us: e.g. 
http://scholar.google.be/schhp?inst=vub.ac.be

regards
stefaan

>stuart

Stefaan Renard
Vrije Universiteit Brussel - VUB
Universiteitsbibliotheek
Hoofd Afdeling Informatie- en Bibliotheektechnologie (IBT)
URL:  < http://www.vub.ac.be/BIBLIO >
Lokaal 2 B112 E (gebouw B, 2de verdieping)
Pleinlaan 2, B-1050 Brussel (Belgium)
tel (direct) : +32- (0)2-629.37.04
tel (secretariaat) : +32- (0)2-629.26.09
fax (secretariaat) : +32- (0)2-629.26.93
e-mail : < [email-masked] >

---

From: Godmar Back <[email-masked]>
Date: Wed, 15 Jul 2009 07:15:14 -0400

It used to be you could just GET the corresponding form, e.g.:

http://scholar.google.com/scholar_setprefs?num=10&instq=&inst=sfx-f7e167eec5dde9063b5a8770ec3aaba7&q=einstein&inststart=0&submit=Save+Preferences

 - Godmar

---

From: Jonathan Rochkind <[email-masked]>
Date: Wed, 15 Jul 2009 10:16:58 -0400

When I've experimented with this, I haven't been able to figure out a 
way to set my institution in their preferences, without _removing_ any 
existing institutions they may have already chosen.  I don't want to 
over-write their existing preferences, if any, I just want to add my 
institution to them!

If anyone figures out a way to do this, I'm interested too.

I actually didn't know about the &inst=X feature allowing you to set the 
institution even just for the current session, that's awfully helpful 
and better than nothing, thanks!

Jonathan

---

From: Eric Hellman <[email-masked]>
Date: Wed, 15 Jul 2009 11:11:25 -0400

That's my recollection as well.

On Jul 15, 2009, at 7:15 AM, Godmar Back wrote:

>> setting mechanism. Has anyone found a way of persisting this  
>> setting in the users browser, so when they start a new session this  
>> is the default?
>>

Eric Hellman
President, Gluejar, Inc.
41 Watchung Plaza, #132
Montclair, NJ 07042
USA

[email-masked]
http://go-to-hellman.blogspot.com/

---

From: John Wynstra <[email-masked]>
Date: Wed, 15 Jul 2009 14:25:17 -0500

We have tested routing off-campus users through our local proxy (WAM) 
when they link to Google Scholar from our library website .  Not 
recommending it, just saying it works since the proxy is in the correct 
IP range.  It has the benefit of leaving folks authenticated to the 
documents they will eventually click to--assuming you are using a 
rewrite proxy.  It doesn't actually set preferences, so if users happen 
to go directly to Google Scholar they may be confused by the missing 
openURL links.

At first it seemed like a crazy idea, but then the thought was that 
users are using Google Scholar as an extension of our website if they 
click on our link.

-- 
<><><><><><><><><><><><><><><><><><><>
John Wynstra
Library Information Systems Specialist
Rod Library
University of Northern Iowa
Cedar Falls, IA  50613
[email-masked]
(319)273-6399
<><><><><><><><><><><><><><><><><><><>

---

From: Nate Vack <[email-masked]>
Date: Wed, 15 Jul 2009 14:34:35 -0500

On Wed, Jul 15, 2009 at 2:25 PM, John Wynstra<[email-masked]> wrote:

> We have tested routing off-campus users through our local proxy (WAM) when
> they link to Google Scholar from our library website.

I believe we do this at Madison -- for Google Scholar as well as
PubMed. Warps my mind to proxy a free resource, but it's not totally
insane, either.

-Nate

---

From: Jonathan Rochkind <[email-masked]>
Date: Wed, 15 Jul 2009 15:50:09 -0400

Yeah, I've been thinking of doing this for worldcat.org too -- so the 
user will get institutional link resolver and catalog links in 
worldcat.org too, which they only get if they're from a recognized IP.  
So even though it's free... helps access.

Actually, there is one feature in worldcat.org that isn't free.  If your 
institution pays for FirstSearch Worldcat, then on worldcat.org under 
holdings, your users will see ALL worldcat holdings, not just other 
'paid' institutions -- IF the user is coming from a recognized IP.  If 
the user is not coming from a recognized FirstSearch-paid IP, they can 
only see FirstSearch-paid libraries holdings on worldcat.org.

So, yeah, I think there are times when you want/need to use proxy 
despite the resource being free. web proxy for access is a pain in 
general, I wish there was a better way actually in use of communicating 
identity than IP addresses, but that's what we've got right now.

Jonathan

---

From: Bob Duncan <[email-masked]>
Date: Wed, 15 Jul 2009 16:08:18 -0400

At 03:25 PM 7/15/2009, John Wynstra wrote:
>We have tested routing off-campus users through our local proxy 
>(WAM) when they link to Google Scholar from our library website 
>.  Not recommending it, just saying it works since the proxy is in 
>the correct IP range.  It has the benefit of leaving folks 
>authenticated to the documents they will eventually click 
>to--assuming you are using a rewrite proxy.  It doesn't actually set 
>preferences, so if users happen to go directly to Google Scholar 
>they may be confused by the missing openURL links.

I was going to mention this as well, but I was home this morning and 
did some experimenting, and found that if I had already set a Library 
Links preference in Scholar, that my proxied URL strategy was 
foiled.  To test...I accessed Scholar directly, set Stanford in 
Scholar Prefs, closed the browser, then accessed Scholar using a 
proxied URL.  Instead of my library's OpenURL links, I still saw just 
Stanford's.  I opened a different browser, accessed Scholar using the 
proxied URL, and saw Lafayette's OpenURL links.

Seems like as long as the browser has stated a conscious preference 
from within Scholar Preferences, IP address is ignored for purposes 
of offering OpenURL links.  (Even from on-campus -- Scholar sets a 
preference based on IP address, but if you delete your institution 
from the prefs, it won't come back until you add it back or delete 
the Scholar cookie.)

Bob Duncan

~!~!~!~!~!~!~!~!~!~!~!~!~
Robert E. Duncan
Systems Librarian
Editor of IT Communications
Lafayette College
Easton, PA  18042
[email-masked]
http://library.lafayette.edu/

---

From: John Wynstra <[email-masked]>
Date: Wed, 15 Jul 2009 15:21:57 -0500

Bob,

Thats good to know.  That's an angle we hadn't considered testing, 
however if the user has identified a preference, I think that it would 
be good that Google honors that preference rather than allowing me(a 3rd 
party as far as Google is concerned) to overwrite those preferences by 
my well meaning interference.  I realize there are some simplistic 
assumptions in that statement, but I hope that any preferences set by 
the user would lead them to legitimate access points even if those 
access points happen not to be our subscriptions.

Bob Duncan wrote:
>> recommending it, just saying it works since the proxy is in the 
>> correct IP range.  It has the benefit of leaving folks authenticated 
>> to the documents they will eventually click to--assuming you are using 
>> a rewrite proxy.  It doesn't actually set preferences, so if users 
>> happen to go directly to Google Scholar they may be confused by the 
>> missing openURL links.
> 
> 
> I was going to mention this as well, but I was home this morning and did 
> some experimenting, and found that if I had already set a Library Links 
> preference in Scholar, that my proxied URL strategy was foiled.  To 
> test...I accessed Scholar directly, set Stanford in Scholar Prefs, 
> closed the browser, then accessed Scholar using a proxied URL.  Instead 
> of my library's OpenURL links, I still saw just Stanford's.  I opened a 
> different browser, accessed Scholar using the proxied URL, and saw 
> Lafayette's OpenURL links.
> 
> Seems like as long as the browser has stated a conscious preference from 
> within Scholar Preferences, IP address is ignored for purposes of 
> offering OpenURL links.  (Even from on-campus -- Scholar sets a 
> preference based on IP address, but if you delete your institution from 
> the prefs, it won't come back until you add it back or delete the 
> Scholar cookie.)
> 
> Bob Duncan
> 
>

---

From: Tim Shearer <[email-masked]>
Date: Wed, 15 Jul 2009 16:49:36 -0400

FWIW, this is what we do as well... for the few people who think "I want 
to use Google Scholar, I'll go to the UNC Library website."  Still, folks 
have learned that to get easy access (after that first hoop) it's worth 
it.

-t

+++++++++++++++++++++++++++++++++++++++++++
Tim Shearer

Web Development Coordinator
The University Library
University of North Carolina at Chapel Hill
[email-masked]
919-962-1288
+++++++++++++++++++++++++++++++++++++++++++

On Wed, 15 Jul 2009, John Wynstra wrote:

> they link to Google Scholar from our library website .  Not recommending it, 
> just saying it works since the proxy is in the correct IP range.  It has the 
> benefit of leaving folks authenticated to the documents they will eventually 
> click to--assuming you are using a rewrite proxy.  It doesn't actually set 
> preferences, so if users happen to go directly to Google Scholar they may be 
> confused by the missing openURL links.
>
> At first it seemed like a crazy idea, but then the thought was that users are 
> using Google Scholar as an extension of our website if they click on our 
> link.
>
> Jonathan Rochkind wrote:
>> When I've experimented with this, I haven't been able to figure out a way 
>> to set my institution in their preferences, without _removing_ any existing 
>> institutions they may have already chosen.  I don't want to over-write 
>> their existing preferences, if any, I just want to add my institution to 
>> them!
>> 
>> institution even just for the current session, that's awfully helpful and 
>> better than nothing, thanks!
>> 
>> Jonathan
>> 
>> Godmar Back wrote:
>>>> where the institution is obtained using the standard preference setting 
>>>> mechanism. Has anyone found a way of persisting this setting in the users 
>>>> browser, so when they start a new session this is the default?
>>>> 
>>>> Yes, I know they can go "Scholar Preferences" -> "Save" to persist it, 
>>>> but I'm looking for a more automated way of doing it...
>>>> 
>>>> cheers
>>>> stuart
>>>> 
>>>> 
>>> 
>>> 
>> 
>> 
>
> --